DOMNode::hasAttributes
DOMNode::insertBefore
DOMNode
PHP Manual

# DOMNode::hasChildNodes

(PHP 5)

DOMNode::hasChildNodes — Checks if node has children

### Description

bool DOMNode::hasChildNodes ( void )

This function checks if the node has children.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMNode::hasAttributes - Checks if node has attributes

DOMNode::hasAttributes
DOMNode::insertBefore
DOMNode
PHP Manual